SpriteLibrary

# SpriteController
LinkControllersForSpriteTemplateSharing Method

Link up a sprite controller so that it shares sprites with this other sprite controller. If one sprite controller does not have the named sprite, it will query any linked controllers for that named sprite and copy it to the controller that did not have it. This means you only need to create a sprite once, and you can use it on multiple sprite controllers. In many games, you will want to have a sprite appear on different PictureBoxes, and this is a way to do that. For example, you may want to have a bad-guy running around on the screen, but also have his sprite appear in a bad-guy summary, along with his stats, on the side. Loading sprites can be slow, so this makes things a bit faster by only needing to load them once.

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.5 (1.0.0.5)
Syntax
C#
Copy

    public void LinkControllersForSpriteTemplateSharing(
    	SpriteController ControllerToLinkToThis
    )

#### Parameters

ControllerToLinkToThis
  Type: SpriteLibrary
  SpriteController
  The sprite-controller to link. You only need to link it one direction, the sprite controller will automatically create a bi-directional link

See Also

#### Reference

SpriteController Class
SpriteLibrary Namespace